Package org.globus.ftp

# Class FeatureList

java.lang.Object
org.globus.ftp.FeatureList

public class FeatureList extends Object
Represents features supported by server (as returned by FEAT command). Use the static members of this class to refer to well known feature names. Example: check if the server supports PARALLEL feature:

       FeatureList fl = new FeatureList(client.getFeatureList());
       if (fl.contains(FeatureList.PARALLEL)) {
           ...
       }

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`FeatureList.Feature`
RFC 2389 specified the following syntax for FEAT responce

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ABUF`
`static final String`
`CKSUM`
`static final String`
`DCAU`
`static final String`
`ERET`
`static final String`
`ESTO`
`protected final List<FeatureList.Feature>`
`features`
`static final String`
`GETPUT`
`static final String`
`MDTM`
`static final String`
`MODEX`
`static final String`
`PARALLEL`
`static final String`
`PIPE`
`static final String`
`SBUF`
`static final String`
`SIZE`

## Constructor Summary

Constructors
Constructor
Description
`FeatureList(String featReplyMsg)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`contains(String label)`
`List<FeatureList.Feature>`
`getFeature(String label)`
Get all features that have label equal to the argument Note that RFC 2389 does not require a feature with a given label to appear only once

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SIZE

public static final String SIZE

See Also:
  - Constant Field Values

### MDTM

public static final String MDTM

See Also:
  - Constant Field Values

### PARALLEL

public static final String PARALLEL

See Also:
  - Constant Field Values

### ESTO

public static final String ESTO

See Also:
  - Constant Field Values

### ERET

public static final String ERET

See Also:
  - Constant Field Values

### SBUF

public static final String SBUF

See Also:
  - Constant Field Values

### ABUF

public static final String ABUF

See Also:
  - Constant Field Values

### DCAU

public static final String DCAU

See Also:
  - Constant Field Values

### PIPE

public static final String PIPE

See Also:
  - Constant Field Values

### MODEX

public static final String MODEX

See Also:
  - Constant Field Values

### GETPUT

public static final String GETPUT

See Also:
  - Constant Field Values

### CKSUM

public static final String CKSUM

See Also:
  - Constant Field Values

### features

protected final List<FeatureList.Feature> features

## Constructor Details

### FeatureList

public FeatureList(String featReplyMsg)

## Method Details

### contains

public boolean contains(String label)

### getFeature

public List<FeatureList.Feature> getFeature(String label)
Get all features that have label equal to the argument Note that RFC 2389 does not require a feature with a given label to appear only once

Parameters:
  `label` -
Returns:
  List of found features with given label in the same order as they were given to us by the server